SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO"; 
SET time_zone = "+00:00";
CREATE TABLE `access_logs` ( `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT, `user_id` bigint(20) unsigned NOT NULL, `ip_address` varchar(200) NOT NULL, `datetime` datetime NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `account_locks` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` bigint(11) NOT NULL, `code` varchar(255) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `activation_links` ( `id` int(11) NOT NULL AUTO_INCREMENT, `email` text NOT NULL, `hash` varchar(255) NOT NULL, `done` tinyint(1) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `bruteforce_watchlist` ( `id` bigint(20) NOT NULL AUTO_INCREMENT, `ip_address` varchar(255) NOT NULL, `datetime` datetime NOT NULL, `count` int(5) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `core_settings` ( `name` varchar(100) NOT NULL, `data` varchar(250) NOT NULL ) ENGINE=InnoDB DEFAULT CHARSET=latin1;
CREATE TABLE `email_templates` ( `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT, `name` varchar(100) NOT NULL, `description` varchar(150) NOT NULL, `content` text NOT NULL, `status` enum('0','1') NOT NULL DEFAULT '0', `permanent` enum('0','1') NOT NULL DEFAULT '0', `allowed_shortcodes` varchar(255) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
INSERT INTO `email_templates` (`id`, `name`, `description`, `content`, `status`, `permanent`, `allowed_shortcodes`) VALUES (1, 'Activation Required', 'User Registation - Activation Required', '<p>Your account at <a href=''{{WWW}}''>{{SITE_NAME}}</a> has been successfully created.</p>\r\n<p>Username: {{username}}\r\n<br />\r\nPassword: {{plain_password}} (Encrypted in our database.)</p>\r\n<p>However, you still need to activate your account, which you can do by clicking the following link: <br />\r\n<a href=''{{WWW}}activate.php?email={{email}}&hash={{code}}''>Activate Account</a></p>\r\n<p>If you are unable to click the above link you can still activate your account below.</p>\r\n<p>URL: {{WWW}}activate.php <br />\r\nConfirm Code: {{code}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{username}},{{email}},{{plain_password}},{{code}}'), (2, 'Your Activation Code', 'Resend Activation Code', '<p>You can activate your account by clicking on the following link <br />\r\n<a href=''{{WWW}}activate.php?email={{email}}&hash={{code}}''>Activate Account</a></p>\r\n<p>If you are unable to click the above link you can still activate your account below.</p>\r\n<p>URL: {{WWW}}activate.php <br />\r\nConfirm Code: {{code}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{email}},{{code}}'), (3, 'Welcome', 'Welcome Email - Activation Not Required', '<p>Your account at <a href=''{{WWW}}''>{{SITE_NAME}}</a> has been successfully created.</p>\r\n<p>Username: {{username}}\r\n<br />\r\nPassword: {{plain_password}} (Encrypted in our database.)</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{username}},{{plain_password}}'), (4, 'Reset Password', 'Reset Password Confirm Code', '<p>A new password has been requested for your account at <a href=''{{WWW}}''>{{SITE_NAME}}</a>.</p>\r\n\r\n<p>However you will need to confirm this action by clicking the following link: <br />\r\n<a href=''{{WWW}}reset_password.php?email={{email}}&hash={{code}}''>Reset Password</a></p>\r\n\r\n<p>If you are unable to click the above link you can still request a new password.</p>\r\n\r\n<p>URL:{{WWW}}reset_password.php <br />\r\nConfirm Code: {{code}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{email}},{{code}}'), (5, 'Your New Password', 'New Password', '<p>Your new account password is: {{plain_password}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{plain_password}}'), (6, 'Your Account Settings Have Been Locked', 'Account Unlock Code', '<p>As requested your account settings have been locked.</p>\r\nUnlock Code: {{code}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{code}}'), (7, 'Your Unlock Code', 'Account Lock Resend Code', '<p>Unlock Code: {{code}}</p>', '1', '1', '{{WWW}},{{SITE_NAME}},{{code}}');
CREATE TABLE `invites` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` varchar(255) NOT NULL, `code` varchar(255) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `levels` ( `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT, `user_id` bigint(20) unsigned NOT NULL, `level_id` bigint(20) unsigned NOT NULL, `created` datetime NOT NULL, `expires` enum('0','1') NOT NULL DEFAULT '0', `expiry_date` datetime NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `login_logs` ( `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT, `date` date NOT NULL, `count` bigint(20) unsigned NOT NULL, `f_count` bigint(20) unsigned NOT NULL, `t_count` bigint(20) unsigned NOT NULL, `g_count` bigint(20) unsigned NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `password_links` ( `id` int(11) NOT NULL AUTO_INCREMENT, `email` text NOT NULL, `hash` varchar(255) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `purchase_history` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` int(11) NOT NULL, `amount` int(11) NOT NULL, `description` varchar(255) NOT NULL, `datetime` datetime NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `staff_notes` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` varchar(255) NOT NULL, `username` varchar(255) NOT NULL, `message` text NOT NULL, `date` datetime NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `token_history` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` int(11) NOT NULL, `tokens` int(11) NOT NULL, `package_name` varchar(255) NOT NULL, `datetime` datetime NOT NULL, `status` enum('c','d') NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `token_packages` ( `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT, `name` varchar(100) NOT NULL, `status` enum('0','1') NOT NULL DEFAULT '0', `qty` bigint(20) unsigned NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
CREATE TABLE `users` ( `id` int(11) NOT NULL AUTO_INCREMENT, `user_id` bigint(11) NOT NULL, `first_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL, `last_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL, `gender` enum('Male','Female') COLLATE utf8_unicode_ci NOT NULL, `username` varchar(20) COLLATE utf8_unicode_ci NOT NULL, `password` varchar(128) COLLATE utf8_unicode_ci NOT NULL, `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `user_level` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `primary_group` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `activated` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '1', `suspended` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0', `date_created` datetime NOT NULL, `last_login` datetime NOT NULL, `account_lock` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0', `signup_ip` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `last_ip` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `country` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `whitelist` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0', `ip_whitelist` text COLLATE utf8_unicode_ci NOT NULL, `tokens` int(11) NOT NULL, `bank_tokens` int(11) NOT NULL, `invited_by` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `salt` varchar(255) COLLATE utf8_unicode_ci NOT NULL, `oauth_provider` int(20) NOT NULL, `oauth_uid` text COLLATE utf8_unicode_ci NOT NULL, `login_count` bigint(20) unsigned NOT NULL, PRIMARY KEY (`id`) ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;
CREATE TABLE `user_levels` ( `id` int(11) NOT NULL AUTO_INCREMENT, `level_id` bigint(11) NOT NULL, `level_name` varchar(255) NOT NULL, `auto` enum('0','1') NOT NULL DEFAULT '0', `redirect_page` varchar(255) NOT NULL DEFAULT 'index.php', `purchasable` enum('0','1') NOT NULL DEFAULT '1', `amount` varchar(255) NOT NULL, `price` varchar(255) NOT NULL, `timed_access` enum('0','1') NOT NULL DEFAULT '0', `time_type` enum('0','1','2') NOT NULL DEFAULT '0', `access_time` varchar(10) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;
INSERT INTO `user_levels` (`id`, `level_id`, `level_name`, `auto`, `redirect_page`, `purchasable`, `amount`, `price`, `timed_access`, `time_type`, `access_time`) VALUES (1, 293847, 'Administrator', '0', 'index.php', '0', '', '', '0', '0', ''), (2, 527387, 'Staff', '0', 'index.php', '0', '', '', '0', '0', ''), (3, 928366, 'Registered', '1', 'index.php', '0', '', '', '0', '0', '');